> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transactions 

> fetching transaction 



## OpenAPI

````yaml /openapi/financial-data.json post /accounts/transactions
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /accounts/transactions:
    post:
      tags:
        - ''
      summary: 'Transactions '
      description: 'fetching transaction '
      operationId: 'Total Transaction done  '
      requestBody:
        description: >-
          Aquiring the total transaction done base on days duration(1, 3, 7, 14,
          & 30 days)
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Fetch'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Fetch:
      required:
        - dayRange
        - accountNumber
      type: object
      properties:
        dayRange:
          type: string
          enum:
            - '1'
            - '3'
            - '7'
            - '14'
            - '30'
          example: 1, 3, 7, 14, & 30 days
        accountNumber:
          type: string
          example: '7607346015'
    FetchResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  Nuban:
                    type: string
                    example: '6760386015'
                  datedStamp:
                    type: string
                    example: '2023-09-21T17:03:15.611Z'
                  Amount:
                    type: string
                    example: '225000'
                  dated:
                    type: string
                    example: '2023-09-21T00:00:00.000Z'
                  TransactionType:
                    type: string
                    example: credit
                  Narration:
                    type: string
                    example: N-10140722181/Collection Credit for 20
                  TransType:
                    type: string
                    example: credit
                  Balance:
                    type: string
                    example: '30708952'
                  BeneficiaryName:
                    type: string
                    example: 'null'
      example:
        data:
          - Nuban: '387346015'
            datedStamp: '2023-09-21T17:03:15.611Z'
            Amount: '225000'
            dated: '2023-09-21T00:00:00.000Z'
            TransactionType: credit
            Narration: N-10140722181/Collection Credit for 20
            TransType: credit
            Balance: '30933952'
            BeneficiaryName: 'null'
          - Nuban: '6767346095'
            datedStamp: '2023-09-21T17:03:15.612Z'
            Amount: '150000'
            dated: '2023-09-21T00:00:00.000Z'
            TransactionType: credit
            Narration: N-10140716665/Collection Credit for 20
            TransType: credit
            Balance: '30708952'
            BeneficiaryName: 'null'
          - Nuban: '6767346875'
            datedStamp: '2023-09-21T17:03:15.613Z'
            Amount: '900000'
            dated: '2023-09-21T00:00:00.000Z'
            TransactionType: credit
            Narration: N-10140720013/Collection Credit for 20
            TransType: credit
            Balance: '30558952'
            BeneficiaryName: 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.